Bug 192926 - tcsh got segmentation fault
Summary: tcsh got segmentation fault
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tcsh   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 190430
TreeView+ depends on / blocked
 
Reported: 2006-05-24 09:48 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 15:41:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2006-05-24 09:48:51 UTC
The version used to reproduce the problem on RHEL3 was tcsh-6.12-11.EL3, on i386.

+++ This bug was initially created as a clone of Bug #188279 +++

We got the segmentation fault of tcsh when executing their csh
script.  However, the csh script is not related to segmentation fault.
Using RHEL4 IA64.  Also, the architecture is not related. 

Version-Release number of selected component (if applicable):
tcsh-6.13-9

How reproducible:
Sometimes

Steps to Reproduce:
Executing a csh script

Actual results:
core dump

Expected results:
no core dump

Additional info:

The customer is using tcsh-6.13-9.ia64. The following is backtrace of
dump.
__stack_pointer is 0x0, and snum in palarm() is wrong, too.

(gdb) bt
#0  0x20000000000f6fb0 in __longjmp () at ../string/bits/string2.h:1000
        __thread_self = (struct pthread *) 0x200000000030cac0
        __stack_pointer = 0x0
        _nl_msg_cat_cntr = 4
#1  0x20000000000f6e60 in __libc_siglongjmp (env=0x6000000000039520,
val=1)
    at ../sysdeps/generic/longjmp.c:39
No locals.
#2  0x400000000009a860 in palarm (snum=67552) at tc.func.c:2096
No locals.
#3  <signal handler called>
No symbol table info available.
#4  0x6000000000628ea0 in ?? ()
No symbol table info available.

Comment 3 RHEL Product and Program Management 2007-01-18 15:41:22 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.